Bug 1639989 - heat_tempest_plugin runs zaqar related tests to the environment which doesn't enable zaqar.
Summary: heat_tempest_plugin runs zaqar related tests to the environment which doesn't...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-heat-tests-tempest
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: z5
: 13.0 (Queens)
Assignee: Rabi Mishra
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks: 1657818
TreeView+ depends on / blocked
 
Reported: 2018-10-17 06:02 UTC by Keigo Noha
Modified: 2019-03-14 13:34 UTC (History)
3 users (show)

Fixed In Version: python-heat-tests-tempest-0.1.1-0.20180514163845.9d99219.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1657818 (view as bug list)
Environment:
Last Closed: 2019-03-14 13:34:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 611295 0 None master: MERGED heat-tempest-plugin: Add requires_service_type test decorator (I3a994cf9edfb32ea72090810228a6dac87bfc0f9) 2018-12-10 11:32:01 UTC
Red Hat Product Errata RHSA-2019:0564 0 None None None 2019-03-14 13:34:43 UTC

Description Keigo Noha 2018-10-17 06:02:36 UTC
Description of problem:
heat_tempest_plugin runs zaqar related tests to the environment which doesn't enable zaqar.


Version-Release number of selected component (if applicable):
RHOSP13z2

How reproducible:
Every trial

Steps to Reproduce:
1. Deploy overcloud.
2. Run tempest to heat_tempest_plugin
3.

Actual results:
tempest failed at
heat_tempest_plugin.tests.functional.test_event_sinks.ZaqarEventSinkTest.test_events
heat_tempest_plugin.tests.functional.test_waitcondition.ZaqarWaitConditionTest.test_signal_queues
heat_tempest_plugin.tests.functional.test_software_config.ZaqarSignalTransportTest.test_signal_queues

Expected results:
heat_tempest_plugin doesn't run zaqar related test to the environment which doesn't use zaqar

Additional info:

Comment 4 Jon Schlueter 2018-12-10 11:41:54 UTC
So RDO Trunk Queens is pinned at 9d99219f3e3f6ebb48cf6823b677c27609c52072 [1]

above mentioned patch is 4 patches past 0.2.0 tag on master

RDO Queens Trunk is pinned at 9 patches before 0.2.0 tag

[1] https://github.com/redhat-openstack/rdoinfo/blob/master/rdo.yml#L7449


This requires an explicit backport or work in RDO to update Queens pin to pick up
these changes.

Comment 5 Keigo Noha 2019-01-15 02:44:29 UTC
Hi Rabi,

Thank you for your work on the bugzilla.
Would you please consider to create a build for RHOSP13 in the next z release?

Best Regards,
Keigo Noha

Comment 20 errata-xmlrpc 2019-03-14 13:34:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0564


Note You need to log in before you can comment on or make changes to this bug.